Bug 1037932 - Unhandled exception: Add language field allows more character than the database does (255)
Summary: Unhandled exception: Add language field allows more character than the databa...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
medium
high
Target Milestone: ---
: 3.3
Assignee: Patrick Huang
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1037933
TreeView+ depends on / blocked
 
Reported: 2013-12-04 05:40 UTC by Damian Jansen
Modified: 2014-03-20 05:47 UTC (History)
4 users (show)

Fixed In Version: 3.3.0-SNAPSHOT (2014-02-14)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 05:47:20 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1037933 None None None Never

Description Damian Jansen 2013-12-04 05:40:09 UTC
Description of problem:
The column type for localeid is VARCHAR(255) NOT NULL. The field that allows the admin to specify the locale is not limited, and entering more than the 255 characters results in an exception

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as admin
2. Click Languages, then Add Language
3. In the available Language field, enter a large string
4. Press Save

Actual results:
org.h2.jdbc.JdbcSQLException: Value too long for column "LOCALEID VARCHAR(255) NOT NULL": "STRINGDECODE('\ufeffThe Project Gutenberg EBook of Moby Dick; or The Whale, by Herman Melville  This eBook is for the use of any... (1235149)";

Expected results:
A limit on the field

Additional info:

Comment 1 Patrick Huang 2013-12-23 00:38:02 UTC
https://github.com/zanata/zanata-server/pull/331

Comment 2 Patrick Huang 2013-12-23 00:38:35 UTC
https://github.com/zanata/zanata-api/pull/8

Comment 3 Damian Jansen 2014-02-13 01:51:52 UTC
On QA?

Comment 4 Damian Jansen 2014-02-14 04:33:44 UTC
Verified at 9c46eb0cc798a1883e066057221a503690c6c6a2

Comment 5 Sean Flanigan 2014-02-18 06:57:39 UTC
I suppose the Fixed In Version should be 3.3.0-SNAPSHOT something?  

And Target Release 3.3?

Comment 6 Sean Flanigan 2014-02-21 06:47:07 UTC
I'm making up the Fixed In Version based on the project version found in the pom.xml for that commit, plus the timestamp of the commit.

Comment 7 Sean Flanigan 2014-03-20 05:47:20 UTC
Closing VERIFIED bugs for Zanata server 3.3.2.


Note You need to log in before you can comment on or make changes to this bug.